Summary:	Utility to control ethernet cards
Summary(es.UTF-8):	Grupos de herramientas Ethernet
Summary(pl.UTF-8):	Narzędzie do kontrolowania kart ethernet
Summary(pt_BR.UTF-8):	Ferramenta de configuração para placas ethernet PCI
Name:		ethtool
Version:	6.11
Release:	1%{?tld}
Epoch:		1
License:	GPL v2
Group:		Networking/Admin
Source0:	https://www.kernel.org/pub/software/network/ethtool/%{name}-%{version}.tar.xz
# Source0-md5:	0b901e0e7522082ccec13126c5ba3651
URL:		https://www.kernel.org/pub/software/network/ethtool/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libmnl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
ethtool is a small utility for examining and tuning your
ethernet-based network interface.

%description -l es.UTF-8
Grupos de herramientas Ethernet.

%description -l pl.UTF-8
ethtool to niewielkie narzędzie do kontroli i tuningu sieciowych kart
ethernet.

%description -l pt_BR.UTF-8
Este utilitário permite consulta e alteração da configuração de placas
ethernet, como velocidade, porta, negociação automática e localização
PCI.

%package -n bash-completion-%{name}
Summary:	Bash completion for ethtool command
Summary(pl.UTF-8):	Bashowe dopełnianie parametrów polecenia ethtool
Group:		Applications/Shells
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	bash-completion >= 1:2.0
BuildArch:	noarch

%description -n bash-completion-%{name}
Bash completion for ethtool command.

%description -n bash-completion-%{name} -l pl.UTF-8
Bashowe dopełnianie parametrów polecenia ethtool.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-bash-completion-dir=%{bash_compdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog LICENSE NEWS README
%attr(755,root,root) %{_sbindir}/ethtool
%{_mandir}/man8/ethtool.8*

%files -n bash-completion-%{name}
%defattr(644,root,root,755)
%{bash_compdir}/%{name}
%changelog
* Mon Dec 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ethtool.git;a=log;h=master

* Wed Oct 09 2024 Jan Palus <atler@pld-linux.org> c1b8dac
- up to 6.11

* Sat Aug 10 2024 Jan Palus <atler@pld-linux.org> 7050eef
- up to 6.10

* Fri May 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 94e4342
- updated to 6.9

* Mon Jan 29 2024 Jan Palus <atler@pld-linux.org> b6c4206
- up to 6.7

* Fri Nov 24 2023 Jan Palus <atler@pld-linux.org> 1fcf5a4
- up to 6.6

* Thu Sep 14 2023 Jan Palus <atler@pld-linux.org> bb7aee8
- up to 6.5

* Tue Jul 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 1cb28af
- updated to 6.4

* Fri Jun 02 2023 Jan Palus <atler@pld-linux.org> 9bd96a9
- correct bash-completion epoch

* Fri Jun 02 2023 Jan Palus <atler@pld-linux.org> ba9cf59
- up to 6.3

* Thu Mar 30 2023 Jakub Bogusz <qboosh@pld-linux.org> 1c3cd57
- updated to 6.2

* Mon Jan 16 2023 Jakub Bogusz <qboosh@pld-linux.org> f657f4c
- updated to 6.1

* Sun Aug 21 2022 Jakub Bogusz <qboosh@pld-linux.org> 6ca2205
- updated to 5.18

* Sat May 07 2022 Jakub Bogusz <qboosh@pld-linux.org> 9778661
- updated to 5.17

* Sat Jan 15 2022 Jakub Bogusz <qboosh@pld-linux.org> cfddf43
- updated to 5.15

* Mon Nov 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 73be86d
- updated to 5.14

* Sat Jul 10 2021 Adam Gołębiowski <adamg@pld-linux.org> 2fca173
- updated to 5.13

* Sun May 09 2021 Jakub Bogusz <qboosh@pld-linux.org> 063cc60
- updated to 5.12
- noarch bash-completion- package

* Wed Dec 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 1bb3e30
- updated to 5.10

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 27edd44
- updated to 5.9

* Sat Aug 22 2020 Jakub Bogusz <qboosh@pld-linux.org> f5c9608
- updated to 5.8

